summaryrefslogtreecommitdiffstats
path: root/test/integration/targets/noexec/runme.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/integration/targets/noexec/runme.sh')
-rwxr-xr-xtest/integration/targets/noexec/runme.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/test/integration/targets/noexec/runme.sh b/test/integration/targets/noexec/runme.sh
new file mode 100755
index 0000000..ff70655
--- /dev/null
+++ b/test/integration/targets/noexec/runme.sh
@@ -0,0 +1,9 @@
+#!/usr/bin/env bash
+
+set -eux
+
+trap 'umount "${OUTPUT_DIR}/ramdisk"' EXIT
+
+mkdir "${OUTPUT_DIR}/ramdisk"
+mount -t tmpfs -o size=32m,noexec,rw tmpfs "${OUTPUT_DIR}/ramdisk"
+ANSIBLE_REMOTE_TMP="${OUTPUT_DIR}/ramdisk" ansible-playbook -i inventory "$@" test-noexec.yml